
Infrastructure - Task #1690

Story # 975 (Closed): Refactor to support synchronization across multiple MNs

replace libclient functionality with Separate Service

2011-07-21 00:41 - Robert Waltz

Status: Closed Start date: 2011-07-21

Priority: Normal Due date:  

Assignee: Robert Waltz % Done: 100%

Category: d1_synchronization Estimated time: 0.00 hour

Target version: Sprint-2011.37-Block.5   

Milestone: CCI-0.6.4 Story Points:  

Product Version: *   

Description

Create a separate service to call metacat directly via SSL.  This should be written to easily replace with RMI calls should a service be

created in future.

NodeCommFactory is the interface that produces a NodeComm object via a NodeCommD1Factory.  NodeComm contains

connections to the CN and MN via d1_libclient_java and to the CN for systemmetadata via hazelcastclient.

May need to re-evaluate creating separate hazelcast client for each NodeComm object seeing as that there are failures due to max

sockets being opened.

History

#1 - 2011-08-16 17:23 - Robert Waltz

- Subject changed from replace libclient functionality with RMI calls to replace libclient functionality with Separate Service

- Status changed from New to In Progress

- Milestone changed from CCI-0.6.2 to CCI-0.6.4

#2 - 2011-09-28 18:41 - Robert Waltz

- Status changed from In Progress to Closed
